Bug 6372 - usrmgr only shows 1024 groups and aliases
usrmgr only shows 1024 groups and aliases
Status: RESOLVED FIXED
Product: Samba 3.2
Classification: Unclassified
Component: Domain Control
unspecified
All All
: P3 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-19 04:30 UTC by Volker Lendecke
Modified: 2009-06-06 07:28 UTC (History)
0 users

See Also:


Attachments
patch for 3.3 (1.34 KB, patch)
2009-06-05 05:57 UTC, Guenther Deschner
no flags Details
patch for 3.2 (1.34 KB, patch)
2009-06-05 05:58 UTC, Guenther Deschner
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Volker Lendecke 2009-05-19 04:30:52 UTC
We're not correctly returning STATUS_MORE_ENTRIES to the EnumDomGroups and EnumDomAliases calls.

Günther, do you want this? Feel free to reassign to me :-)

Volker
Comment 1 Guenther Deschner 2009-05-26 07:32:22 UTC
Fixed in master and v3-4-test.

http://git.samba.org/?p=samba.git;a=commitdiff;h=fca7dce1a908570e463ddcbd663955fcafd1d843

Is this something we want for 3.3 and 3.2 ?
Comment 2 Volker Lendecke 2009-05-26 09:19:42 UTC
I'd see this as a pretty obvious bugfix. It has hit a customer of mine, so I'd like to see it in 3.2 and 3.3 if possible.

Volker
Comment 3 Guenther Deschner 2009-06-05 05:57:21 UTC
Created attachment 4244 [details]
patch for 3.3
Comment 4 Guenther Deschner 2009-06-05 05:58:39 UTC
Created attachment 4245 [details]
patch for 3.2
Comment 5 Guenther Deschner 2009-06-05 06:08:38 UTC
Ok, Karolin, we agree on wanting this for 3.3 and 3.2.

Patches are attached.
Comment 6 Karolin Seeger 2009-06-06 07:28:50 UTC
Pushed, thanks!
Closing out bug report.